commit 89f21c18af96a3b994595081939e19d8b042c963
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Mon Oct 28 09:30:07 2024 +0100

    ada: Fix bogus error for delta aggregate as expression function
    
    The compiler correctly accepts the other forms of aggregates.
    
    gcc/ada/ChangeLog:
    
            PR ada/113868
            * par-ch6.adb (P_Subprogram) <Scan_Body_Or_Expression_Function>:
            Add delta aggregate alongside the other forms of aggregates.

diff --git a/gcc/ada/par-ch6.adb b/gcc/ada/par-ch6.adb
index 2ce23e1eb05..79658551098 100644
--- a/gcc/ada/par-ch6.adb
+++ b/gcc/ada/par-ch6.adb
@@ -884,6 +884,7 @@ package body Ch6 is
 
                      if not (Paren_Count (Expr) /= 0
                               or else Nkind (Expr) in N_Aggregate
+                                                    | N_Delta_Aggregate
                                                     | N_Extension_Aggregate
                                                     | N_Quantified_Expression)
                      then

